# TileTypeProcs Struct Reference

Set of callback functions for performing tile operations of a given tile type. More...

`#include <tile_cmd.h>`

## Data Fields
DrawTileProc * | draw_tile_proc
| Called to render the tile and its contents to the screen.
GetSlopeZProc * | get_slope_z_proc
ClearTileProc * | clear_tile_proc
AddAcceptedCargoProc * | add_accepted_cargo_proc
| Adds accepted cargo of the tile to cargo array supplied as parameter.
GetTileDescProc * | get_tile_desc_proc
| Get a description of a tile (for the 'land area information' tool).
GetTileTrackStatusProc * | get_tile_track_status_proc
| Get available tracks and status of a tile.
ClickTileProc * | click_tile_proc
| Called when tile is clicked.
AnimateTileProc * | animate_tile_proc
TileLoopProc * | tile_loop_proc
ChangeTileOwnerProc * | change_tile_owner_proc
AddProducedCargoProc * | add_produced_cargo_proc
| Adds produced cargo of the tile to cargo array supplied as parameter.
VehicleEnterTileProc * | vehicle_enter_tile_proc
| Called when a vehicle enters a tile.
GetFoundationProc * | get_foundation_proc
TerraformTileProc * | terraform_tile_proc
| Called when a terraforming operation is about to take place.

## Detailed Description

Set of callback functions for performing tile operations of a given tile type.

See also:
  TileType

Definition at line 138 of file tile_cmd.h.

The documentation for this struct was generated from the following file:

- src/tile_cmd.h